
#include "InfoButton.h"

InfoButton::InfoButton(QWidget* parent)
    : QPushButton(parent) {
    setText("?");
}

InfoButton::InfoButton(const QString& text, QWidget* parent)
    : QPushButton(text,parent) {
}

InfoButton::InfoButton(const QIcon& icon, const QString& text, QWidget* parent)
    : QPushButton(icon,text,parent) {
}


void InfoButton::setMessage(QString message) {
    m_message = message;
}

const QString InfoButton::message() {
    return m_message;
}

void InfoButton::mouseReleaseEvent(QMouseEvent* e) {
    QPushButton::mouseReleaseEvent(e);
    emit( clicked(m_message) );
}

